Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.groovy.buildernodes
Class ChildContainerNode

    java.lang.Object
      org.nanocontainer.script.groovy.buildernodes.AbstractBuilderNode
          org.nanocontainer.script.groovy.buildernodes.ChildContainerNode

All Implemented Interfaces:
  Serializable, BuilderNode

    public class ChildContainerNode

extends AbstractBuilderNode

Creates a new NanoContainer node. There may or may not be a parent container involved.

Version:
  $Revision: 2695 $
Author:
  James Strachan, Paul Hammant, Aslak Hellesøy, Michael Rimov, Mauro Talevi
See Also:
  Serialized Form

Field Summary
`static String` | `NODE_NAME` Node name.

Constructor Summary
`ChildContainerNode(org.nanocontainer.script.NodeBuilderDecorationDelegate delegate)` Constructs a child container node.

Method Summary
`protected org.nanocontainer.NanoContainer` | `createChildContainer(Map attributes, org.nanocontainer.NanoContainer parent)` Creates a new container.
`Object` | `createNewNode(Object current, Map attributes)` Creates a new container.

Methods inherited from class org.nanocontainer.script.groovy.buildernodes.AbstractBuilderNode
`addAttribute, getNodeName, getSupportedAttributes, isAttribute, toString, validateScriptedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NODE_NAME

    public static final String NODE_NAME

  Node name.

  See Also:
    Constant Field Values

Constructor Detail

### ChildContainerNode

    public ChildContainerNode(org.nanocontainer.script.NodeBuilderDecorationDelegate delegate)

  Constructs a child container node. It requires a `NodeBuilderDecorationDelegate` for construction.

  Parameters:
    `delegate` - NodeBuilderDecorationDelegate

Method Detail

### createNewNode

    public Object createNewNode(Object current,
                                Map attributes)
                         throws org.nanocontainer.script.NanoContainerMarkupException

  Creates a new container. There may or may not be a parent to this container. Supported attributes are

  Execute the handler for the given node builder.

  Parameters:
    `current` - NanoContainer
    `attributes` - Map
  Returns:
    Object
  Throws:
    `org.nanocontainer.script.NanoContainerMarkupException`

### createChildContainer

    protected org.nanocontainer.NanoContainer createChildContainer(Map attributes,
                                                                   org.nanocontainer.NanoContainer parent)

  Creates a new container. There may or may not be a parent to this container. Supported attributes are:
  - `componentAdapterFactory`: The ComponentAdapterFactory used for new container
  - `componentMonitor`: The ComponentMonitor used for new container

  Parameters:
    `attributes` - Map Attributes defined by the builder in the script.
    `parent` - The parent container
  Returns:
    The NanoContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.